Name:           libdatrie
Version:        0.2.13
Release:        2
Summary:        a library of double-array structure for representing trie.
License:        LGPLv2+
URL:            https://linux.thai.net/~thep/datrie
Source0:        https://linux.thai.net/pub/ThaiLinux/software/libthai/%{name}-%{version}.tar.xz
BuildRequires:  git gcc automake libtool doxygen autoconf-archive pkgconfig xz

%description
Trie is an efficient indexing method. It is usually much faster
than B-tree or any comparison-based indexing method in general
cases. Its time complexity is comparable with hashing techniques.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
%description    devel
Development files for %{name}.

%package_help

%prep
%autosetup -n %{name}-%{version} -p1

%build
autoreconf -ivf
%configure --with-html-docdir=%{_pkgdocdir}-help
%disable_rpath
%make_build

%install
%make_install
%delete_la_and_a
find %{buildroot} -name README.migration -delete -print

%check
export LD_LIBRARY_PATH=../datrie/.libs
make check

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%license COPYING AUTHORS
%{_libdir}/%{name}.so.*

%files devel
%defattr(-,root,root)
%{_bindir}/trietool*
%{_includedir}/datrie
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/*.pc

%files help
%defattr(-,root,root)
%doc ChangeLog NEWS README* doc/html/*
%{_mandir}/man1/trietool*.1.gz

%changelog
* Tue Oct 25 2022 lijianglin <lijianglin2@huawei.com> - 0.2.13-2
- rebuild package

* Tue Nov 30 2021 zhouwenpei <zhouwenpei1@huawei.com> - 0.2.13-1
- update to 0.2.13

* Thu Dec 10 2020 wangchen <wangchen137@huawei.com> - 0.2.12-2
- Correct invalid URL and Source0

* Thu Aug 29 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.2.12-1
- Package init
